body {
  background-color: black;
  padding-bottom: 120px;
}

/*Main header on page - larger on home page - responsive*/
header {
  display: flex;
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
  justify-content: center;
  align-items: center;
  width: 100%;
}

/*Allows the logo to go below the title on small screens*/
@media (max-width: 900px) {
  header {
    flex-direction: column;
    flex-wrap: wrap;
  }
}

/*Subheadings for sections*/
h2 {
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

h3 {
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

h6 {
  font-family: "Phudu", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center; 
  padding-bottom: 50px;
}

/*Text within sections*/
p {
  font-family: "Phudu", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white; 
  margin: 50px;
}

div {
  
}

/*Navigation bar*/
nav {
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #0000FF;
  margin: 0 auto;
  text-align: center;
  line-height: 50px;
  width: 100%;
}

.topnav {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  background-color: black;
  height: 15vh;
}

.topnav a {
  padding: 14px 16px;
  text-decoration: none;
  font-size: 30px;
  color: #0000FF;
}

.topnav a:hover {
  background-color: #0000FF;
  color: black;
}

.topnav a.active {
  background-color: #0000FF;
  color: black;
}

/*Allows navigation to be vertical instead of horizontal on smaller screens*/
@media (max-width: 800px) {
  .topnav {
    flex-direction: column;
    height: auto;
    line-height: 20px;
  }
}

/*The layout of sections on the home page*/
.flex-container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
}

.AJ {
  flex: 1;
}

.Joey {
  flex: 1;
}

.Rio {
  flex: 1;
}

.Blax {
  flex: 1;
}

/*Ensure sections stack on top of eachother on smaller screens*/
@media (max-width: 800px) {
  .flex-container {
    flex-direction: row;
    flex-wrap: wrap;
  }
}

/*Ensure sections fill up the screen on larger screens*/
@media (min-width: 800px) {
 .flex-container {
  flex-direction: row;
  width: 100%;
 }
}

/* The flip card container - set the width and height to whatever you want. We have added the border property to demonstrate that the flip itself goes out of the box on hover (remove perspective if you don't want the 3D effect */
.flip-card {
  background-color: transparent;
  width: 300px;
  height: 600px;
  /*border: 1px solid #f1f1f1;*/
  perspective: 1000px; /* Remove this if you don't want the 3D effect */
}

/* This container is needed to position the front and back side */
.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.9s;
  transform-style: preserve-3d;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

/* Position the front and back side */
.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden; /* Safari */
  backface-visibility: hidden;
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
  background-color: #0000FF;
  color: white;
}

/* Style the back side */
.flip-card-back {
  background-color: black;
  color: white;
  transform: rotateY(180deg);
}

/*Footer*/
footer {
  font-family: "New Rocker", sans-serif;
  font-weight: 200;
  font-style: normal;
  text-align: center;
  color: white;
  position: relative;
  left: 0;
  bottom: 0;
  width:100%;
  height: 100px;
  margin-top: 100px;
  padding-top: 130px;
}
